#include "descriptor/descriptor.h"
#include <math.h>

int main(void) {

  ITEM	glass,nero,giallo,rosso,cromo, nero_opaco,ferro, colore_piedistallo,grigio_scuro,vetro;
  ITEM	cisterna,punta_cisterna, fine_cisterna,base_cisterna, piano_cisterna;
  ITEM	anello_camino, camino, anello_cilindro_1, cilindro_1, anello_cilindro_2, cilindro_2;
  ITEM  	valvola_cisterna, valvola_cisterna_raggio_1, valvola_cisterna_raggio_2;
  ITEM  	rostro_1, rostro_2, rostro_3, rostro_4, rostro_5, rostro_6, rostro_7, rostro_8, rostro_9, 					rostro_10, rostro_11;
  ITEM  	frontale_gabbia, tetto, pavimento, base_gabbia, lato_A, lato_B, bordo_pavimento, cabina;
  ITEM  	pieno_post, anello_post, ruota_post, perno_post, pieno_ant, anello_ant, ruota_ant, perno_ant;
  ITEM  	pieno_post_a_l, anello_post_a_l, ruota_post_a_l, perno_post_a_l, pieno_ant_b_l, anello_ant_b_l, 			ruota_ant_b_l, perno_ant_b_l;
  ITEM  	asse_motrice_quad,asse_motrice_circ,asse_motrice_ruote_quad,asse_motrice_ruote_circ;
  ITEM  	asse_motrice_quad_l, asse_motrice_circ_l, asse_motrice_ruote_quad_l, asse_motrice_ruote_circ_l;
  ITEM  	asse_r_l, peso_r_l, r_l_1, r_l_2, r_l_3, r_l_4, r_l_5, r_l_6, r_l_7,braccetto_r_l, 								sostegno_r_l, ruota_r_l;
  ITEM  	asse_r_l_a, peso_r_l_a, r_l_a_1, r_l_a_2, r_l_a_3, r_l_a_4, r_l_a_5, r_l_a_6, 									r_l_a_7,braccetto_r_l_a, sostegno_r_l_a, ruota_r_l_a;
  ITEM  	asse_r_l_b, peso_r_l_b, r_l_b_1, r_l_b_2, r_l_b_3, r_l_b_4, r_l_b_5, r_l_b_6, 									r_l_b_7,braccetto_r_l_b, sostegno_r_l_b, ruota_r_l_b;

  ITEM	asse_r, peso_r, r_1, r_2, r_3, r_4, r_5, r_6, r_7,braccetto_r, sostegno_r, ruota_r;
  ITEM  	asse_r1, peso_r1, r1_1, r1_2, r1_3, r1_4, r1_5, r1_6, r1_7,braccetto_r1, sostegno_r1, ruota_r1;
  ITEM  	asse_r2, peso_r2, r2_1, r2_2, r2_3, r2_4, r2_5, r2_6, r2_7,braccetto_r2, sostegno_r2, ruota_r2;
  ITEM  	corrimano_s_1, corrimano_s_2, sostegno_s_1, sostegno_s_2, scalino_1, scalino_2,scalino_3;
  ITEM  	corrimano_s_1_l, corrimano_s_2_l, sostegno_s_1_l, sostegno_s_2_l, scalino_1_l, 									scalino_2_l,scalino_3_l;
  ITEM  	corrimano_c, pomello_c, corrimano_c_l, pomello_c_l;
  ITEM  	scatola_luce_r, sostegno_luce_r, lampada_luce_r,scatola_luce_l, sostegno_luce_l, lampada_luce_l;
  ITEM  	pavimento_scena,colore_pavimento, specchio, specchio_scena, piedistallo, teca;
  ITEM  	rotaia_r, rotaia_l;
  ITEM	scene;

  set_background(0.25,0.25,0.25,TRUE);
  set_ambient_light(1,1,1,0.7);
  create_warn_light(-0.675,0.721,0.945,	0.532,-0.682,-0.501,	1,1,1, 1,20,1,10,	0,0,0,0,0, "light1");
  create_warn_light(0.3,-2.4,0.0,	0.007,0.995,-0.091,	1,1,1, 2,20,1,15,	0,0,0,0,0, "light2");
  create_point_light(0.43,-0.52, 8.62,	1,1,1,	3.89,50, "light3");
  create_warn_light(-0.521,0.629,-0.448,0.513,-0.816,0.264,	1,1,1, 2,20,1,20,	0,0,0,0,0, "light4");


  /*** ATTRIBUTE specchio ***/
  specchio = create_attribute("specchio");
  set_color(specchio, 0.0, 0.0, 0.0, 0.8, 0.4);
  set_reflectivity(specchio, 0.9, 20);

  /*** ATTRIBUTE colore_piedistallo ***/
  colore_piedistallo = create_attribute("colore_piedistallo");
  set_color(colore_piedistallo, 0.4, 0.3, 0, 0.8, 0.4);
  set_reflectivity(colore_piedistallo, 0, 5);

  /*** ATTRIBUTE colore_pavimento ***/
  colore_pavimento = create_attribute("colore_pavimento");
  set_color(colore_pavimento, 0.4, 0.1, 0, 0.4, 0.2);
  set_reflectivity(colore_pavimento, 0.02, 5);

  /*** ATTRIBUTE vetro ***/
  vetro = create_attribute("vetro");
  set_color(vetro,0.9,0.9,1,1,1);
  set_reflectivity(vetro,0.2,20);
  set_transparency(vetro,0.9,0.9,1,0);

  /*** ATTRIBUTE glass ***/
  glass = create_attribute("glass");
  set_color(glass,1,1,0.6,0.7,0.7);
  set_reflectivity(glass,0.24,2);
  set_transparency(glass,0.68,0.67,1,1.2);

  /*** ATTRIBUTE ferro ***/
  ferro = create_attribute("ferro");
  set_color(ferro,0.0,0.0,0.0,0.5,0.5);
  set_reflectivity(ferro,0.5,20);

  /*** ATTRIBUTE cromo ***/
  cromo = create_attribute("cromo");
  set_color(cromo,0.5,0.5,0.5,0.8,0.8);
  set_reflectivity(cromo,0.8,20);

  /*** ATTRIBUTE grigio_scuro ***/
  grigio_scuro = create_attribute("grigio_scuro");
  set_color(grigio_scuro,0.2,0.2,0.2,1,1);
  set_reflectivity(grigio_scuro,0.0,20);

  /*** ATTRIBUTE nero ***/
  nero = create_attribute("nero");
  set_color(nero,0.10,0.10,0.10,0.5,0.5);
  set_reflectivity(nero,0.1,20);

  /*** ATTRIBUTE opaco ***/
  nero_opaco = create_attribute("nero_opaco");
  set_color(nero_opaco,0.1,0.1,0.1,0.5,0.5);
  set_reflectivity(nero_opaco,0.1,20);

  /*** ATTRIBUTE rosso ***/
  rosso = create_attribute("rosso");
  set_color(rosso,0.9,0,0,0.6,0.4);
  set_reflectivity(rosso,0.2,20);

  /*** ATTRIBUTE giallo ***/
  giallo = create_attribute("giallo");
  set_color(giallo,1,1,0,0.1,0.5);
  set_reflectivity(giallo,0.5,20);

  /* ROTAIA */
  rotaia_r = read_nurbs("rotaia_r.db");
  rotaia_l = read_nurbs("rotaia_l.db");
  set_attribute(rotaia_r, ferro);
  set_attribute(rotaia_l, ferro);

  /* LUCE */
  scatola_luce_r = read_nurbs("scatola_luce_r.db");
  lampada_luce_r = read_nurbs("lampada_luce_r.db");
  sostegno_luce_r = read_nurbs("sostegno_luce_r.db");
  scatola_luce_l = read_nurbs("scatola_luce.db");
  lampada_luce_l = read_nurbs("lampada_luce.db");
  sostegno_luce_l = read_nurbs("sostegno_luce.db");

  set_attribute(scatola_luce_r,nero_opaco);
  set_attribute(scatola_luce_l,nero_opaco);
  set_attribute(sostegno_luce_r,rosso);
  set_attribute(sostegno_luce_l,rosso);
  set_attribute(lampada_luce_r,glass);
  set_attribute(lampada_luce_l,glass);

  /* CISTERNA */
  cisterna = read_nurbs("cisterna.db");
  punta_cisterna = read_nurbs("punta_cisterna.db");
  fine_cisterna = read_nurbs("fine_cisterna.db");
  base_cisterna = read_nurbs("base_2.db");
  piano_cisterna = read_nurbs("piano_cisterna.db");

  set_attribute(cisterna,nero);
  set_attribute(base_cisterna,grigio_scuro);
  set_attribute(fine_cisterna,rosso);
  set_attribute(punta_cisterna, nero);

  /* CAMINO */
  anello_camino = read_nurbs("anello_camino_2.db");
  set_attribute(anello_camino, giallo);
  camino = read_nurbs("camino_2.db");
  set_attribute(camino, nero);

  /* CILINDRO */
  anello_cilindro_1 = read_nurbs("anello_cilindro_1.db");
  cilindro_1 = read_nurbs("cilindro_1.db");
  anello_cilindro_2 = read_nurbs("anello_cilindro_2.db");
  cilindro_2 = read_nurbs("cilindro_2.db");
  set_attribute(cilindro_1, nero);
  set_attribute(cilindro_2, nero);
  set_attribute(anello_cilindro_1, giallo);
  set_attribute(anello_cilindro_2, giallo);

  /* VALVOLA CISTERNA */
  valvola_cisterna = read_nurbs("valvola_2.db");
  valvola_cisterna_raggio_1 = read_nurbs("valvola_cistarna_raggio_1.db");
  valvola_cisterna_raggio_2 = read_nurbs("valvola_cistarna_raggio_2.db");
  set_attribute(valvola_cisterna, giallo);
  set_attribute(valvola_cisterna_raggio_1, rosso);
  set_attribute(valvola_cisterna_raggio_2, rosso);

  /* ROSTRO */
  rostro_1 = read_nurbs("rostro_1.db");
  rostro_2 = read_nurbs("rostro_2.db");
  rostro_3 = read_nurbs("rostro_3.db");
  rostro_4 = read_nurbs("rostro_4.db");
  rostro_5 = read_nurbs("rostro_5.db");
  rostro_6 = read_nurbs("rostro_6.db");
  rostro_7 = read_nurbs("rostro_7.db");
  rostro_8 = read_nurbs("rostro_8.db");
  rostro_9 = read_nurbs("rostro_9.db");
  rostro_10 = read_nurbs("rostro_10.db");
  rostro_11 = read_nurbs("rostro_11.db");
  set_attribute(rostro_1, rosso);
  set_attribute(rostro_2, rosso);
  set_attribute(rostro_3, rosso);
  set_attribute(rostro_4, rosso);
  set_attribute(rostro_5, rosso);
  set_attribute(rostro_6, rosso);
  set_attribute(rostro_7, rosso);
  set_attribute(rostro_8, rosso);
  set_attribute(rostro_9, rosso);
  set_attribute(rostro_10, rosso);
  set_attribute(rostro_11, rosso);


  /* GABBIA */
  frontale_gabbia = read_nurbs("gabbia_frontale_pieno.db");
  tetto = read_nurbs("tetto.db");
  pavimento = read_nurbs("pavimento_treno_spesso.db");
  lato_A = read_nurbs("gabbia_L_pieno.db");
  lato_B = read_nurbs("gabbia_R_pieno.db");
  base_gabbia = read_nurbs("base_gabbia.db");
  bordo_pavimento = read_nurbs("bordo_pavimento.db");

  set_attribute(frontale_gabbia, nero_opaco);
  set_attribute(tetto, nero_opaco);
  set_attribute(pavimento, nero_opaco);
  set_attribute(lato_A, nero_opaco);
  set_attribute(lato_B, nero_opaco);
  set_attribute(base_gabbia, grigio_scuro);
  set_attribute(bordo_pavimento, nero_opaco);

  /* RUOTINO POST */
  pieno_post = read_nurbs("pieno_ruota_post.db");
  anello_post = read_nurbs("anello_ruota_post.db");
  ruota_post = read_nurbs("ruota_post.db");
  perno_post = read_nurbs("perno_ruota_post.db");

  set_attribute(anello_post, rosso);
  set_attribute(perno_post, rosso);
  set_attribute(pieno_post, nero);
  set_attribute(ruota_post, cromo);

  /* RUOTINO ANT */
  pieno_ant = read_nurbs("pieno_ruota_ant.db");
  anello_ant = read_nurbs("anello_ruota_ant.db");
  ruota_ant = read_nurbs("ruota_ant.db");
  perno_ant = read_nurbs("perno_ruota_ant.db");

  set_attribute(anello_ant, rosso);
  set_attribute(perno_ant, rosso);
  set_attribute(pieno_ant, nero);
  set_attribute(ruota_ant, cromo);

  /* RUOTINO POST LEFT*/
  pieno_post_a_l = read_nurbs("p_1_a.db");
  anello_post_a_l = read_nurbs("p_2_a.db");
  ruota_post_a_l = read_nurbs("p_3_a.db");
  perno_post_a_l = read_nurbs("p_4_a.db");

  set_attribute(anello_post_a_l, rosso);
  set_attribute(perno_post_a_l, rosso);
  set_attribute(pieno_post_a_l, nero);
  set_attribute(ruota_post_a_l, cromo);

  /* RUOTINO ANT LEFT*/
  pieno_ant_b_l = read_nurbs("p_1_b.db");
  anello_ant_b_l = read_nurbs("p_2_b.db");
  ruota_ant_b_l = read_nurbs("p_3_b.db");
  perno_ant_b_l = read_nurbs("p_4_b.db");

  set_attribute(anello_ant_b_l, rosso);
  set_attribute(perno_ant_b_l, rosso);
  set_attribute(pieno_ant_b_l, nero);
  set_attribute(ruota_ant_b_l, cromo);


  /* RUOTA GRANDE POST */
  asse_r = read_nurbs("asse_ruota_G.db");
  peso_r = read_nurbs("peso_ruota_G.db");
  r_1 = read_nurbs("raggio_ruota_G_1.db");
  r_2 = read_nurbs("raggio_ruota_G_2.db");
  r_3 = read_nurbs("raggio_ruota_G_3.db");
  r_4 = read_nurbs("raggio_ruota_G_4.db");
  r_5 = read_nurbs("raggio_ruota_G_5.db");
  r_6 = read_nurbs("raggio_ruota_G_6.db");
  r_7 = read_nurbs("raggio_ruota_G_7.db");
  braccetto_r = read_nurbs("braccetto_ruota_G.db");
  sostegno_r = read_nurbs("sostegno_asse_ruota_G.db");
  ruota_r = read_nurbs("ruota_G.db");

  set_attribute(asse_r,rosso);
  set_attribute(peso_r,nero);
  set_attribute(r_1,rosso);
  set_attribute(r_2,rosso);
  set_attribute(r_3,rosso);
  set_attribute(r_4,rosso);
  set_attribute(r_5,rosso);
  set_attribute(r_6,rosso);
  set_attribute(r_7,rosso);
  set_attribute(braccetto_r,nero);
  set_attribute(ruota_r,cromo);

  /* RUOTA GRANDE CENTRALE */
  asse_r1 = read_nurbs("1.db");
  peso_r1 = read_nurbs("2.db");
  r1_1 = read_nurbs("3.db");
  r1_2 = read_nurbs("4.db");
  r1_3 = read_nurbs("5.db");
  r1_4 = read_nurbs("6.db");
  r1_5 = read_nurbs("7.db");
  r1_6 = read_nurbs("8.db");
  r1_7 = read_nurbs("9.db");
  braccetto_r1 = read_nurbs("10.db");
  sostegno_r1 = read_nurbs("11.db");
  ruota_r1 = read_nurbs("12.db");

  set_attribute(asse_r1,rosso);
  set_attribute(peso_r1,nero);
  set_attribute(r1_1,rosso);
  set_attribute(r1_2,rosso);
  set_attribute(r1_3,rosso);
  set_attribute(r1_4,rosso);
  set_attribute(r1_5,rosso);
  set_attribute(r1_6,rosso);
  set_attribute(r1_7,rosso);
  set_attribute(braccetto_r1,nero);
  set_attribute(ruota_r1,cromo);

  /* RUOTA GRANDE ANT */
  asse_r2 = read_nurbs("a.db");
  peso_r2 = read_nurbs("b.db");
  r2_1 = read_nurbs("c.db");
  r2_2 = read_nurbs("d.db");
  r2_3 = read_nurbs("e.db");
  r2_4 = read_nurbs("f.db");
  r2_5 = read_nurbs("g.db");
  r2_6 = read_nurbs("h.db");
  r2_7 = read_nurbs("i.db");
  braccetto_r2 = read_nurbs("l.db");
  sostegno_r2 = read_nurbs("m.db");
  ruota_r2 = read_nurbs("n.db");

  set_attribute(asse_r2,rosso);
  set_attribute(peso_r2,nero);
  set_attribute(r2_1,rosso);
  set_attribute(r2_2,rosso);
  set_attribute(r2_3,rosso);
  set_attribute(r2_4,rosso);
  set_attribute(r2_5,rosso);
  set_attribute(r2_6,rosso);
  set_attribute(r2_7,rosso);
  set_attribute(braccetto_r2,nero);
  set_attribute(ruota_r2,cromo);

  /* RUOTA GRANDE POSTERIORE LEFT */
  asse_r_l = read_nurbs("1_L.db");
  peso_r_l = read_nurbs("2_L.db");
  r_l_1 = read_nurbs("3_L.db");
  r_l_2 = read_nurbs("4_L.db");
  r_l_3 = read_nurbs("5_L.db");
  r_l_4 = read_nurbs("6_L.db");
  r_l_5 = read_nurbs("7_L.db");
  r_l_6 = read_nurbs("8_L.db");
  r_l_7 = read_nurbs("9_L.db");
  braccetto_r_l = read_nurbs("10_L.db");
  ruota_r_l = read_nurbs("11_L.db");

  set_attribute(asse_r_l,rosso);
  set_attribute(peso_r_l,nero);
  set_attribute(r_l_1,rosso);
  set_attribute(r_l_2,rosso);
  set_attribute(r_l_3,rosso);
  set_attribute(r_l_4,rosso);
  set_attribute(r_l_5,rosso);
  set_attribute(r_l_6,rosso);
  set_attribute(r_l_7,rosso);
  set_attribute(braccetto_r_l,nero);
  set_attribute(ruota_r_l,cromo);

 /* RUOTA GRANDE CENTRALE LEFT */
  asse_r_l_a = read_nurbs("1_L_a.db");
  peso_r_l_a = read_nurbs("2_L_a.db");
  r_l_a_1 = read_nurbs("3_L_a.db");
  r_l_a_2 = read_nurbs("4_L_a.db");
  r_l_a_3 = read_nurbs("5_L_a.db");
  r_l_a_4 = read_nurbs("6_L_a.db");
  r_l_a_5 = read_nurbs("7_L_a.db");
  r_l_a_6 = read_nurbs("8_L_a.db");
  r_l_a_7 = read_nurbs("9_L_a.db");
  braccetto_r_l_a = read_nurbs("10_L_a.db");
  ruota_r_l_a = read_nurbs("11_L_a.db");

  set_attribute(asse_r_l_a,rosso);
  set_attribute(peso_r_l_a,nero);
  set_attribute(r_l_a_1,rosso);
  set_attribute(r_l_a_2,rosso);
  set_attribute(r_l_a_3,rosso);
  set_attribute(r_l_a_4,rosso);
  set_attribute(r_l_a_5,rosso);
  set_attribute(r_l_a_6,rosso);
  set_attribute(r_l_a_7,rosso);
  set_attribute(braccetto_r_l_a,nero);
  set_attribute(ruota_r_l_a,cromo);

  /* RUOTA GRANDE ANTERIORE LEFT */
  asse_r_l_b = read_nurbs("1_L_b.db");
  peso_r_l_b = read_nurbs("2_L_b.db");
  r_l_b_1 = read_nurbs("3_L_b.db");
  r_l_b_2 = read_nurbs("4_L_b.db");
  r_l_b_3 = read_nurbs("5_L_b.db");
  r_l_b_4 = read_nurbs("6_L_b.db");
  r_l_b_5 = read_nurbs("7_L_b.db");
  r_l_b_6 = read_nurbs("8_L_b.db");
  r_l_b_7 = read_nurbs("9_L_b.db");
  braccetto_r_l_b = read_nurbs("10_L_b.db");
  ruota_r_l_b = read_nurbs("11_L_b.db");

  set_attribute(asse_r_l_b,rosso);
  set_attribute(peso_r_l_b,nero);
  set_attribute(r_l_b_1,rosso);
  set_attribute(r_l_b_2,rosso);
  set_attribute(r_l_b_3,rosso);
  set_attribute(r_l_b_4,rosso);
  set_attribute(r_l_b_5,rosso);
  set_attribute(r_l_b_6,rosso);
  set_attribute(r_l_b_7,rosso);
  set_attribute(braccetto_r_l_b,nero);
  set_attribute(ruota_r_l_b,cromo);


  /* SCALETTA */
  sostegno_s_1 = read_nurbs("sostegno_scaletta_A2.db");
  corrimano_s_1 = read_nurbs("corrimano_scaletta_A2.db");
  sostegno_s_2 = read_nurbs("sostegno_scaletta_B2.db");
  corrimano_s_2 = read_nurbs("corrimano_scaletta_B2.db");
  scalino_1 = read_nurbs("scalino_1_2.db");
  scalino_2 = read_nurbs("scalino_2_2.db");
  scalino_3 = read_nurbs("scalino_3_2.db");

  set_attribute(corrimano_s_1,rosso);
  set_attribute(corrimano_s_2,rosso);
  set_attribute(sostegno_s_1,giallo);
  set_attribute(sostegno_s_2,giallo);
  set_attribute(scalino_1,giallo);
  set_attribute(scalino_2,giallo);
  set_attribute(scalino_3,giallo);

  /* SCALETTA LEFT*/
  sostegno_s_1_l = read_nurbs("s_1.db");
  corrimano_s_1_l = read_nurbs("s_2.db");
  sostegno_s_2_l = read_nurbs("s_3.db");
  corrimano_s_2_l = read_nurbs("s_4.db");
  scalino_1_l = read_nurbs("s_5.db");
  scalino_2_l = read_nurbs("s_6.db");
  scalino_3_l = read_nurbs("s_7.db");

  set_attribute(corrimano_s_1_l,rosso);
  set_attribute(corrimano_s_2_l,rosso);
  set_attribute(sostegno_s_1_l,giallo);
  set_attribute(sostegno_s_2_l,giallo);
  set_attribute(scalino_1_l,giallo);
  set_attribute(scalino_2_l,giallo);
  set_attribute(scalino_3_l,giallo);

  /* CORRIMANO CISTERNA */
  corrimano_c = read_nurbs("corrimano_cisterna.db");
  pomello_c = read_nurbs("pomello_corrimano_cisterna.db");
  corrimano_c_l = read_nurbs("corrimano_cisterna_L.db");
  pomello_c_l = read_nurbs("pomello_corrimano_cisterna_L.db");
  set_attribute(pomello_c, giallo);
  set_attribute(corrimano_c, rosso);
  set_attribute(pomello_c_l, giallo);
  set_attribute(corrimano_c_l, rosso);

  /* PAVIMENTO */
  pavimento_scena = read_nurbs("pavimento_scena.db");
  set_attribute(pavimento_scena, colore_pavimento);

  piedistallo = read_nurbs("piedistallo.db");
  set_projection_texture(piedistallo, colore_piedistallo, "textures/wood039.hr", 0, TRUE, 0.6, 0.8);

  specchio_scena = read_nurbs("specchio_teca.db");
  set_attribute(specchio_scena, specchio);

  teca = read_nurbs("teca.db");
  set_attribute(teca,vetro);

  /* ASSE MOTRICE */
  asse_motrice_quad = read_nurbs("asse_motrice_quad2.db");
  asse_motrice_circ = read_nurbs("asse_motrice_circ2.db");
  asse_motrice_ruote_quad = read_nurbs("asse_motrice_ruote_quad.db");
  asse_motrice_ruote_circ = read_nurbs("asse_motrice_ruote_circ.db");

  set_attribute(asse_motrice_ruote_quad, nero_opaco);
  set_attribute(asse_motrice_ruote_circ, rosso);
  set_attribute(asse_motrice_quad, nero_opaco);
  set_attribute(asse_motrice_circ, rosso);

  /* ASSE MOTRICE LEFT*/
  asse_motrice_quad_l = read_nurbs("asse_motrice_quad2_L.db");
  asse_motrice_circ_l = read_nurbs("asse_motrice_circ2_L.db");
  asse_motrice_ruote_quad_l = read_nurbs("asse_motrice_ruote_quad_L.db");
  asse_motrice_ruote_circ_l = read_nurbs("asse_motrice_ruote_circ_L.db");

  set_attribute(asse_motrice_ruote_quad_l, nero_opaco);
  set_attribute(asse_motrice_ruote_circ_l, rosso);
  set_attribute(asse_motrice_quad_l, nero_opaco);
  set_attribute(asse_motrice_circ_l, rosso);

  scene = create_list(cisterna, "scene");
  scene = insert_in_list(scene, rotaia_r);
  scene = insert_in_list(scene, rotaia_l);
  scene = insert_in_list(scene, specchio_scena);
  scene = insert_in_list(scene, pavimento_scena);
  scene = insert_in_list(scene, piedistallo);
  scene = insert_in_list(scene, teca);

  scene = insert_in_list(scene, scatola_luce_r);
  scene = insert_in_list(scene, sostegno_luce_r);
  scene = insert_in_list(scene, lampada_luce_r);
  scene = insert_in_list(scene, scatola_luce_l);
  scene = insert_in_list(scene, sostegno_luce_l);
  scene = insert_in_list(scene, lampada_luce_l);

  scene = insert_in_list(scene, base_gabbia);
  scene = insert_in_list(scene, lato_A);
  scene = insert_in_list(scene, lato_B);
  scene = insert_in_list(scene, pavimento);
  scene = insert_in_list(scene, tetto);
  scene = insert_in_list(scene, frontale_gabbia);
  scene = insert_in_list(scene, bordo_pavimento);
  scene = insert_in_list(scene, rostro_1);
  scene = insert_in_list(scene, rostro_2);
  scene = insert_in_list(scene, rostro_3);
  scene = insert_in_list(scene, rostro_4);
  scene = insert_in_list(scene, rostro_5);
  scene = insert_in_list(scene, rostro_6);
  scene = insert_in_list(scene, rostro_7);
  scene = insert_in_list(scene, rostro_8);
  scene = insert_in_list(scene, rostro_9);
  scene = insert_in_list(scene, rostro_10);
  scene = insert_in_list(scene, rostro_11);
  scene = insert_in_list(scene, valvola_cisterna_raggio_1);
  scene = insert_in_list(scene, valvola_cisterna_raggio_2);
  scene = insert_in_list(scene, valvola_cisterna);
  scene = insert_in_list(scene, cilindro_2);
  scene = insert_in_list(scene, anello_cilindro_2);
  scene = insert_in_list(scene, cilindro_1);
  scene = insert_in_list(scene, anello_cilindro_1);
  scene = insert_in_list(scene, anello_camino);
  scene = insert_in_list(scene, camino);
  scene = insert_in_list(scene, cisterna);
  scene = insert_in_list(scene, base_cisterna);
  scene = insert_in_list(scene, fine_cisterna);
  scene = insert_in_list(scene, punta_cisterna);
  scene = insert_in_list(scene, pieno_post);
  scene = insert_in_list(scene, anello_post);
  scene = insert_in_list(scene, ruota_post);
  scene = insert_in_list(scene, perno_post);
  scene = insert_in_list(scene, pieno_ant);
  scene = insert_in_list(scene, anello_ant);
  scene = insert_in_list(scene, ruota_ant);
  scene = insert_in_list(scene, perno_ant);

  scene = insert_in_list(scene, pieno_post_a_l);
  scene = insert_in_list(scene, anello_post_a_l);
  scene = insert_in_list(scene, ruota_post_a_l);
  scene = insert_in_list(scene, perno_post_a_l);

  scene = insert_in_list(scene, pieno_ant_b_l);
  scene = insert_in_list(scene, anello_ant_b_l);
  scene = insert_in_list(scene, ruota_ant_b_l);
  scene = insert_in_list(scene, perno_ant_b_l);

  scene = insert_in_list(scene, asse_motrice_ruote_quad);
  scene = insert_in_list(scene, asse_motrice_ruote_circ);
  scene = insert_in_list(scene, asse_motrice_quad);
  scene = insert_in_list(scene, asse_motrice_circ);

  scene = insert_in_list(scene, asse_motrice_ruote_quad_l);
  scene = insert_in_list(scene, asse_motrice_ruote_circ_l);
  scene = insert_in_list(scene, asse_motrice_quad_l);
  scene = insert_in_list(scene, asse_motrice_circ_l);

  scene = insert_in_list(scene, asse_r_l);
  scene = insert_in_list(scene, peso_r_l);
  scene = insert_in_list(scene, r_l_1);
  scene = insert_in_list(scene, r_l_2);
  scene = insert_in_list(scene, r_l_3);
  scene = insert_in_list(scene, r_l_4);
  scene = insert_in_list(scene, r_l_5);
  scene = insert_in_list(scene, r_l_6);
  scene = insert_in_list(scene, r_l_7);
  scene = insert_in_list(scene, braccetto_r_l);
  scene = insert_in_list(scene, ruota_r_l);

  scene = insert_in_list(scene, asse_r_l_a);
  scene = insert_in_list(scene, peso_r_l_a);
  scene = insert_in_list(scene, r_l_a_1);
  scene = insert_in_list(scene, r_l_a_2);
  scene = insert_in_list(scene, r_l_a_3);
  scene = insert_in_list(scene, r_l_a_4);
  scene = insert_in_list(scene, r_l_a_5);
  scene = insert_in_list(scene, r_l_a_6);
  scene = insert_in_list(scene, r_l_a_7);
  scene = insert_in_list(scene, braccetto_r_l_a);
  scene = insert_in_list(scene, ruota_r_l_a);

  scene = insert_in_list(scene, asse_r_l_b);
  scene = insert_in_list(scene, peso_r_l_b);
  scene = insert_in_list(scene, r_l_b_1);
  scene = insert_in_list(scene, r_l_b_2);
  scene = insert_in_list(scene, r_l_b_3);
  scene = insert_in_list(scene, r_l_b_4);
  scene = insert_in_list(scene, r_l_b_5);
  scene = insert_in_list(scene, r_l_b_6);
  scene = insert_in_list(scene, r_l_b_7);
  scene = insert_in_list(scene, braccetto_r_l_b);
  scene = insert_in_list(scene, ruota_r_l_b);

  scene = insert_in_list(scene, asse_r);
  scene = insert_in_list(scene, peso_r);
  scene = insert_in_list(scene, r_1);
  scene = insert_in_list(scene, r_2);
  scene = insert_in_list(scene, r_3);
  scene = insert_in_list(scene, r_4);
  scene = insert_in_list(scene, r_5);
  scene = insert_in_list(scene, r_6);
  scene = insert_in_list(scene, r_7);
  scene = insert_in_list(scene, braccetto_r);
  scene = insert_in_list(scene, ruota_r);
  scene = insert_in_list(scene, asse_r1);
  scene = insert_in_list(scene, peso_r1);
  scene = insert_in_list(scene, r1_1);
  scene = insert_in_list(scene, r1_2);
  scene = insert_in_list(scene, r1_3);
  scene = insert_in_list(scene, r1_4);
  scene = insert_in_list(scene, r1_5);
  scene = insert_in_list(scene, r1_6);
  scene = insert_in_list(scene, r1_7);
  scene = insert_in_list(scene, braccetto_r1);
  scene = insert_in_list(scene, ruota_r1);
  scene = insert_in_list(scene, asse_r2);
  scene = insert_in_list(scene, peso_r2);
  scene = insert_in_list(scene, r2_1);
  scene = insert_in_list(scene, r2_2);
  scene = insert_in_list(scene, r2_3);
  scene = insert_in_list(scene, r2_4);
  scene = insert_in_list(scene, r2_5);
  scene = insert_in_list(scene, r2_6);
  scene = insert_in_list(scene, r2_7);
  scene = insert_in_list(scene, braccetto_r2);
  scene = insert_in_list(scene, ruota_r2);

  scene = insert_in_list(scene, corrimano_s_1);
  scene = insert_in_list(scene, corrimano_s_2);
  scene = insert_in_list(scene, sostegno_s_1);
  scene = insert_in_list(scene, sostegno_s_2);
  scene = insert_in_list(scene, scalino_1);
  scene = insert_in_list(scene, scalino_2);
  scene = insert_in_list(scene, scalino_3);

  scene = insert_in_list(scene, corrimano_s_1_l);
  scene = insert_in_list(scene, corrimano_s_2_l);
  scene = insert_in_list(scene, sostegno_s_1_l);
  scene = insert_in_list(scene, sostegno_s_2_l);
  scene = insert_in_list(scene, scalino_1_l);
  scene = insert_in_list(scene, scalino_2_l);
  scene = insert_in_list(scene, scalino_3_l);

  scene = insert_in_list(scene, corrimano_c);
  scene = insert_in_list(scene, pomello_c);
  scene = insert_in_list(scene, corrimano_c_l);
  scene = insert_in_list(scene, pomello_c_l);
  save_scene("treno.md","scene_treno",scene);
  return(0);
}
